> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Action Calls

> Delete calls (with their media) or mint presigned recording download URLs.



## OpenAPI

````yaml /openapi.json post /api/calls/bulk-action
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/calls/bulk-action:
    post:
      tags:
        - calls
      summary: Bulk Action Calls
      description: >-
        Delete calls (with their media) or mint presigned recording download
        URLs.
      operationId: bulk_action_calls_api_calls_bulk_action_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_bulk_action_calls_api_calls_bulk_action_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_bulk_action_calls_api_calls_bulk_action_post:
      properties:
        action:
          title: Action
          type: string
        call_ids:
          title: Call Ids
          type: string
      required:
        - action
        - call_ids
      title: Body_bulk_action_calls_api_calls_bulk_action_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.